///@file pc_actors.hh
///
/// Defines a basic actuator for PC (the terminal screen).
///

#ifdef WIN32
#ifndef PC_ACTORS_HH
#define PC_ACTORS_HH

#include "base/base.hh"
#include <string>	//C++ standard string

using namespace std;
using namespace EyeMind;

class Terminal : public Port
{
private:
    string s;

	Terminal(){};

	NO_COPYING(Terminal);

public:
    SINGLETON(Terminal);

	virtual bool Update();

	///@name Attributes
	//@{
    string Str(){return s;}
    void Str(string str){s = str;}
	//@}
};

#endif // PC_ACTORS_HH
#endif // WIN32
